1. Operations
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
          GET
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
    • Schemas
      • CreateQuoteRequest
      • CreateQuoteResponse
      • QuoteDetailResponse
      • SingleItemResponseCreateQuoteResponse
      • AcceptQuoteExecutionResponse
      • AcceptQuoteResponse
      • AcceptQuoteTaxResponse
      • SingleItemResponseAcceptQuoteResponse
      • EarnActionRequest
      • EarnActionResponse
      • SingleItemResponseEarnActionResponse
      • SingleItemResponseTickerResponse
      • TickerResponse
      • ListItemResponsePortfolioPositionResponse
      • MoneyResponse
      • PortfolioPositionResponse
      • Data
      • Datapoint
      • PortfolioHistoryResponse
      • CompensatesInfoResponse
      • OperationResponse
      • OperationTransactionResponse
      • PaginatedListItemResponseOperationResponse
      • TradeResponse
      • EarnAssetConfigResponse
      • PaginatedListItemResponseEarnAssetConfigResponse
      • CurrencyResponse
      • ListItemResponseCurrencyResponse
      • AssetResponse
      • PaginatedListItemResponseAssetResponse
  • MCP Server
    • Getting Started
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Operations

List operations

GET
/v1/operations

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/operations?cursor=eyJsYXN0SWQiOiIxMjM0NTYifQ%3D%3D&page_size=25&from=2024-01-01T00%3A00%3A00.000Z&to=2024-12-31T23%3A59%3A59.000Z&asset_id=b86c034b-efe3-11eb-b56f-0691764446a7&currency_id=b88b8466-efe3-11eb-b56f-0691764446a7' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
*/*
Paginated list of operations
Body*/*

Example
{
    "data": [
        {
            "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
            "operationType": "string",
            "transactions": [
                {
                    "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",
                    "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
                    "currencyId": "2a59a322-927b-4fc7-bac8-d295c634b295",
                    "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",
                    "walletOwner": "string",
                    "assetAmount": {
                        "value": "string",
                        "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
                        "currencyId": "2a59a322-927b-4fc7-bac8-d295c634b295"
                    },
                    "feeAmount": {
                        "value": "string",
                        "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
                        "currencyId": "2a59a322-927b-4fc7-bac8-d295c634b295"
                    },
                    "transactionType": "string",
                    "flow": "INCOMING",
                    "orderId": "string",
                    "creditedAt": "2019-08-24T14:15:22.123Z",
                    "assetBalanceAfter": {
                        "value": "string",
                        "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
                        "currencyId": "2a59a322-927b-4fc7-bac8-d295c634b295"
                    },
                    "compensates": "32e991b0-f939-47ee-831e-3a047e2e2141",
                    "compensatesInfo": {
                        "operationType": "string",
                        "transactionType": "string"
                    },
                    "indexAssetId": "b738c296-0a57-446d-b7d3-3bbb074a253d",
                    "trade": {
                        "tradeId": "6e2251d2-1838-49ba-9773-cb81501b60bf",
                        "fee": {
                            "value": "string",
                            "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
                            "currencyId": "2a59a322-927b-4fc7-bac8-d295c634b295"
                        },
                        "feePercentage": "string",
                        "rate": "string",
                        "rateWithFee": "string",
                        "toEurRate": "string"
                    }
                }
            ]
        }
    ],
    "selfCursor": "string",
    "nextCursor": "string",
    "hasNextPage": true
}
Modified at 2026-08-06 14:05:15
Previous
Get portfolio performance history
Next
List available currencies
Built with